local L = AceLibrary("AceLocale-2.2"):new("FuBar_TrackerFu")

L:RegisterTranslations("enUS", function() return {
	NAME = "FuBar - Tracker",
	DESCRIPTION = "Change Tracking and Sense abilities with FuBar.",

	DEFAULT_ICON = "Interface\\Icons\\Ability_Hunter_Pathfinding",
	
	TRACKER_SHOW_MINIMAP = "Show Minimap Tracking Icon",
	
	TRACKER_TOOLTIP_HINT = "Right-click to change Tracking/Sense abilites.",
	
	-- Header Types
	TRACKER_SPELL_TYPE_FIND  = "Locating Abilities",
	TRACKER_SPELL_TYPE_TRACK = "Tracking Abilities",
	TRACKER_SPELL_TYPE_SENSE = "Sensing Abilities",
	
	-- Object tracking
	TRACKER_SPELL_FIND_HERBS    = "Find Herbs",
	TRACKER_SPELL_FIND_MINERALS = "Find Minerals",
	TRACKER_SPELL_FIND_TREASURE = "Find Treasure",
	
	-- Standard creature tracking
	TRACKER_SPELL_TRACK_BEASTS     = "Track Beasts",
	TRACKER_SPELL_TRACK_HUMANOIDS  = "Track Humanoids",
	TRACKER_SPELL_TRACK_HIDDEN     = "Track Hidden",
	TRACKER_SPELL_TRACK_ELEMENTALS = "Track Elementals",
	TRACKER_SPELL_TRACK_UNDEAD     = "Track Undead",
	TRACKER_SPELL_TRACK_DEMONS     = "Track Demons",
	TRACKER_SPELL_TRACK_GIANTS     = "Track Giants",
	TRACKER_SPELL_TRACK_DRAGONKIN  = "Track Dragonkin",
	
	-- Class specific tracking
	TRACKER_SPELL_SENSE_UNDEAD = "Sense Undead",
	TRACKER_SPELL_SENSE_DEMONS = "Sense Demons",
	
	-- Icon textures
	TRACKER_ICON_FIND_HERBS = "Interface\\Icons\\INV_Misc_Flower_02",
	TRACKER_ICON_FIND_MINERALS = "Interface\\Icons\\Spell_Nature_Earthquake",
	TRACKER_ICON_FIND_TREASURE = "Interface\\Icons\\Racial_Dwarf_FindTreasure",
	TRACKER_ICON_TRACK_BEASTS = "Interface\\Icons\\Ability_Tracking",
	TRACKER_ICON_TRACK_HUMANOIDS = "Interface\\Icons\\Spell_Holy_PrayerOfHealing",
	TRACKER_ICON_TRACK_HIDDEN = "Interface\\Icons\\Ability_Stealth",
	TRACKER_ICON_TRACK_ELEMENTALS = "Interface\\Icons\\Spell_Frost_SummonWaterElemental",
	TRACKER_ICON_TRACK_UNDEAD = "Interface\\Icons\\Spell_Shadow_DarkSummoning",
	TRACKER_ICON_TRACK_DEMONS = "Interface\\Icons\\Spell_Shadow_SummonFelHunter",
	TRACKER_ICON_TRACK_GIANTS = "Interface\\Icons\\Ability_Racial_Avatar",
	TRACKER_ICON_TRACK_DRAGONKIN = "Interface\\Icons\\INV_Misc_Head_Dragon_01",
	TRACKER_ICON_SENSE_UNDEAD = "Interface\\Icons\\Spell_Holy_SenseUndead",
	TRACKER_ICON_SENSE_DEMONS = "Interface\\Icons\\Spell_Shadow_Metamorphosis",
	
	TRACKER_NOTHING_TEXT = "Nothing to track.",
	TRACKER_STOP_TRACKING = "Track Nothing",
	
	TRACKER_OFF_TEXT = "Tracking Off"
} end )

L:RegisterTranslations("frFR", function() return {
	NAME = "FuBar - Tracker",
	DESCRIPTION = "Change Tracking and Sense abilities with FuBar.",
	
	DEFAULT_ICON = "Interface\\Icons\\Ability_Hunter_Pathfinding",
		
	TRACKER_SHOW_MINIMAP = "Show Minimap Tracking Icon",
	
	TRACKER_TOOLTIP_HINT = "Clic droit pour changer le mode de pistage.",
	
	TRACKER_SPELL_FIND_HERBS    = "D\195\169couverte d'herbes",
	TRACKER_SPELL_FIND_MINERALS = "D\195\169couverte de gisements",
	TRACKER_SPELL_FIND_TREASURE = "D\195\169couverte de tr\195\169sors",

	TRACKER_SPELL_TRACK_BEASTS     = "Pistage des B\195\170tes",
	TRACKER_SPELL_TRACK_HUMANOIDS  = "Pistage des humano\195\175des",
	TRACKER_SPELL_TRACK_HIDDEN     = "Pistage des Camoufl\195\169s",
	TRACKER_SPELL_TRACK_ELEMENTALS = "Pistage des Elementaires",
	TRACKER_SPELL_TRACK_UNDEAD     = "Pistage des Morts-vivants",
	TRACKER_SPELL_TRACK_DEMONS     = "Pistage des D\195\169mons",
	TRACKER_SPELL_TRACK_GIANTS     = "Pistage des G\195\169ants",
	TRACKER_SPELL_TRACK_DRAGONKIN  = "Pistage des Draconiens",

	TRACKER_SPELL_SENSE_UNDEAD = "Sentir les Morts-vivants",
	TRACKER_SPELL_SENSE_DEMONS = "Sentir les D\195\169mons",
	
	-- Icon textures
	TRACKER_ICON_FIND_HERBS = "Interface\\Icons\\INV_Misc_Flower_02",
	TRACKER_ICON_FIND_MINERALS = "Interface\\Icons\\Spell_Nature_Earthquake",
	TRACKER_ICON_FIND_TREASURE = "Interface\\Icons\\Racial_Dwarf_FindTreasure",
	TRACKER_ICON_TRACK_BEASTS = "Interface\\Icons\\Ability_Tracking",
	TRACKER_ICON_TRACK_HUMANOIDS = "Interface\\Icons\\Spell_Holy_PrayerOfHealing",
	TRACKER_ICON_TRACK_HIDDEN = "Interface\\Icons\\Ability_Stealth",
	TRACKER_ICON_TRACK_ELEMENTALS = "Interface\\Icons\\Spell_Frost_SummonWaterElemental",
	TRACKER_ICON_TRACK_UNDEAD = "Interface\\Icons\\Spell_Shadow_DarkSummoning",
	TRACKER_ICON_TRACK_DEMONS = "Interface\\Icons\\Spell_Shadow_SummonFelHunter",
	TRACKER_ICON_TRACK_GIANTS = "Interface\\Icons\\Ability_Racial_Avatar",
	TRACKER_ICON_TRACK_DRAGONKIN = "Interface\\Icons\\INV_Misc_Head_Dragon_01",
	TRACKER_ICON_SENSE_UNDEAD = "Interface\\Icons\\Spell_Holy_SenseUndead",
	TRACKER_ICON_SENSE_DEMONS = "Interface\\Icons\\Spell_Shadow_Metamorphosis",
	
	TRACKER_NOTHING_TEXT = "Rien a pister",
	TRACKER_STOP_TRACKING = "Ne rien pister",
	
	TRACKER_OFF_TEXT = "Tracking Off"
} end )

L:RegisterTranslations("deDE", function() return {
	NAME = "FuBar - Tracker",
	DESCRIPTION = "Change Tracking and Sense abilities with FuBar.",

	DEFAULT_ICON = "Interface\\Icons\\Ability_Hunter_Pathfinding",
	
	TRACKER_SHOW_MINIMAP = "Show Minimap Tracking Icon",
	
	TRACKER_TOOLTIP_HINT = "Rechts-klick zu ausw\195\164hlen der Tracking F\195\164higkeitem.",
	
	-- Header Types
	TRACKER_SPELL_TYPE_FIND		= "Finden F\195\164higkeit",
	TRACKER_SPELL_TYPE_TRACK	= "Aufsp\195\188ren F\195\164higkeit",
	TRACKER_SPELL_TYPE_SENSE	= "Sp\195\188ren F\195\164higkeit",

	-- Object tracking
	TRACKER_SPELL_FIND_HERBS	= "Kr\195\164utersuche",
	TRACKER_SPELL_FIND_MINERALS	= "Mineraliensuche",
	TRACKER_SPELL_FIND_TREASURE	= "Schatzsucher",

	-- Standard creature tracking
	TRACKER_SPELL_TRACK_BEASTS	= "Wildtiere aufsp\195\188ren",
	TRACKER_SPELL_TRACK_HUMANOIDS	= "Humanoide aufsp\195\188ren",
	TRACKER_SPELL_TRACK_HIDDEN	= "Verborgenes aufsp\195\188ren",
	TRACKER_SPELL_TRACK_ELEMENTALS	= "Elementare aufsp\195\188ren",
	TRACKER_SPELL_TRACK_UNDEAD	= "Untote aufsp\195\188ren",
	TRACKER_SPELL_TRACK_DEMONS	= "D\195\164monen aufsp\195\188ren",
	TRACKER_SPELL_TRACK_GIANTS	= "Riesen aufsp\195\188ren",
	TRACKER_SPELL_TRACK_DRAGONKIN	= "Drachkin aufsp\195\188ren",

	-- Class specific tracking
	TRACKER_SPELL_SENSE_UNDEAD	= "Untote sp\195\188ren",
	TRACKER_SPELL_SENSE_DEMONS	= "D\195\164monen sp\195\188ren",
	
	-- Icon textures
	TRACKER_ICON_FIND_HERBS = "Interface\\Icons\\INV_Misc_Flower_02",
	TRACKER_ICON_FIND_MINERALS = "Interface\\Icons\\Spell_Nature_Earthquake",
	TRACKER_ICON_FIND_TREASURE = "Interface\\Icons\\Racial_Dwarf_FindTreasure",
	TRACKER_ICON_TRACK_BEASTS = "Interface\\Icons\\Ability_Tracking",
	TRACKER_ICON_TRACK_HUMANOIDS = "Interface\\Icons\\Spell_Holy_PrayerOfHealing",
	TRACKER_ICON_TRACK_HIDDEN = "Interface\\Icons\\Ability_Stealth",
	TRACKER_ICON_TRACK_ELEMENTALS = "Interface\\Icons\\Spell_Frost_SummonWaterElemental",
	TRACKER_ICON_TRACK_UNDEAD = "Interface\\Icons\\Spell_Shadow_DarkSummoning",
	TRACKER_ICON_TRACK_DEMONS = "Interface\\Icons\\Spell_Shadow_SummonFelHunter",
	TRACKER_ICON_TRACK_GIANTS = "Interface\\Icons\\Ability_Racial_Avatar",
	TRACKER_ICON_TRACK_DRAGONKIN = "Interface\\Icons\\INV_Misc_Head_Dragon_01",
	TRACKER_ICON_SENSE_UNDEAD = "Interface\\Icons\\Spell_Holy_SenseUndead",
	TRACKER_ICON_SENSE_DEMONS = "Interface\\Icons\\Spell_Shadow_Metamorphosis",
	
	TRACKER_NOTHING_TEXT = "Nichts zu \195\188berwachen.",
	TRACKER_STOP_TRACKING = "Nichts \195\188berwachen",
	
	TRACKER_OFF_TEXT = "Tracking Aus"
} end )
